
function setCntlChkUnChk(cntlChkBox, cntlTxtBox, cfgval) {
	// 
	var str;
	str = "";
	document.getElementById('ctl00_MainContent_lblError').innerHTML = '';
	if (document.getElementById(cntlChkBox).checked == true) {
		document.getElementById(cntlTxtBox).disabled = false;
	}
	else {
		if (cfgval == '&nbsp;') {
			document.getElementById(cntlTxtBox).value = '';
		}
		else {
			str = cfgval;
			str = str.replace(new RegExp("#@", "g"), "\\");
			str = str.replace(new RegExp("\\^\\^", "g"), "'");
			document.getElementById(cntlTxtBox).value = str
		}
		document.getElementById(cntlTxtBox).disabled = true;
	}
}


function setToolTip(cntlTxtBox) {
	document.getElementById(cntlTxtBox).title = document.getElementById(cntlTxtBox).value;
}

function change_rdobtn() {
	document.getElementById("ctl00_MainContent_rdoAll").checked = false;
	document.getElementById("ctl00_MainContent_rdoSearch").checked = true;
	//Added by shubham k on 06-Mar-2021 for UBP
	document.getElementById("ctl00_MainContent_txtSearch").disabled = false;
	document.getElementById("ctl00_MainContent_txtSearch").removeAttribute("disabled")
}


function MouseEvents(objRef, evt) {
	var checkbox = objRef.getElementsByTagName("input")[0];

	if (evt.type == "mouseover") {
		objRef.style.backgroundColor = "#efeee3";
	}
	else {
		if (checkbox.checked) {
			objRef.style.backgroundColor = "#e5e5e5";
		}
		else if (evt.type == "mouseout") {

			objRef.style.backgroundColor = "#FFFFFF";

		}
	}
}

function txtChanged(objtxtsearch) {

	document.getElementById(objtxtsearch).value = '';
	//Added by shubham k on 06-Mar-2021 for UBP
	document.getElementById(objtxtsearch).disabled = true;
	document.getElementById(objtxtsearch).setAttribute("disabled", "disabled");
}

window.history.forward(1);		